JGIT(1)

NAME
jgit - Pure Java GIT version control system implementation

SYNOPSIS
jgit --git-dir GIT_DIR --help (-h) --show-stack-trace command [ARG ...]

DESCRIPTION
JGit is an implementation of GIT VCS written in Java language.

Git is a fast, scalable, distributed revision control system with an unusually rich command set that provides both high-level operations and full access to internals.

OPTIONS

--git-dir GIT_DIR
    Set the git repository to operate on

--help (-h)
    Display help text

--show-stack-trace
    display the Java stack trace on exceptions

The most commonly used commands are:

add Add file contents to the index

branch
    List, create, or delete branches

checkout
    Checkout a branch to the working tree

clone
    Clone a repository into a new directory

commit
    Record changes to the repository

daemon
    Export repositories over git://

diff
    Show diffs

fetch
    Update remote refs from another repository

init
    Create an empty git repository

log View commit history

merge
    Merges two development histories

push
    Update remote repository from local refs

rm  Stop tracking a file

tag Create a tag

version
    Display the version of jgit

AUTHOR
JGit was written by Eclipse JGIT Project contributors, http://www.eclipse.org/jgit

This manual page was written by Jakub Adam <jakub.adam@ktknet.cz>, for the Debian project (but may be used by others).